// components/parking-order.js
Component({

  /**
   * 组件的属性列表
   */
  properties: {
    occupyOrder:{
      type: Array,
      value: [] 
    }
  },
  lifetimes:{
    attached(){
      // 页面加载时显示弹窗
      this.setData({
        showPopup: true
      });
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    showPopup: true,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    handleConfirm() {
      // 点击确认按钮
      this.setData({
        showPopup: false
      });
    },
  
    handleContact() {
      // 联系客服
      wx.makePhoneCall({
        phoneNumber: '18888888888' // 替换为实际的客服电话
      });
    },
  }
})